# Par 3 Streaming with 3 & 2 Ball Markets

### **3 Ball & 2 Ball Markets on Par 3 Streaming Hole:**

**Setting up the Event Centre:**

L1 events offer streaming on 2 Par 3 holes. Along with full Event Centre experience, you can also offer a sub category to punters for deeper engagement with players/groups playing on the streaming holes and offer relevant 2 & 3 ball markets for those groups/players.

**How to know which holes will have streaming:**

This information can be obtained from the [tournaments endpoint](/golf-integration/readme/static-data/tournament-s-endpoint.md). In the holes object you will find `"isStreaming": true,`

| Field Name  | Type    | Description                                |
| ----------- | ------- | ------------------------------------------ |
| isStreaming | boolean | Is video streaming available on this hole? |

For Schedule along with Group and Player DDE ID's use the [Schedule Endpoint.](/golf-integration/readme/static-data/schedule-endpoint.md)

For video streaming authentication please [click here.](/golf-integration/readme/video-stream-authentication.md)

### To initialise the Event Centre using the hole view:

**Deep-linking to hole view:**

**Target Module:**

| Target Module | Description                              | Notes                                                               |
| ------------- | ---------------------------------------- | ------------------------------------------------------------------- |
| `hole`        | Hole Only (No navigation back to Course) | holeNo must be passed in initialContext, see below for more details |

**View:**

<table><thead><tr><th>View</th><th width="150">Required initial context fields</th><th>Optional initial context fields</th></tr></thead><tbody><tr><td>course-detail-hole</td><td>view, holeNo</td><td></td></tr><tr><td>course-detail-scorecard</td><td>view, holeNo</td><td><em>courseId</em></td></tr><tr><td>course-detail-shots</td><td>view, holeNo</td><td><em>courseId</em></td></tr></tbody></table>

\
**How to setup the integration library:**

```
      const { MessageTopics } = frontRowSeat.eventCentreUtils;
      const eventCentreInstance = frontRowSeat.eventCentre({
        operator: "img",
        sport: "golf",
        eventId: "442",
        version: "latest",
        targetModule: "hole",
        language: "en",
        targetElementSelector: "#img-arena-event-centre",
        options: {
          videoPlaybackEnabled: true
        },
        initialContext: {
          //Specific Hole
          view: "course-detail-hole",
          holeNo: "5"
        }
      });
```

{% embed url="<https://codepen.io/Waqas-Jadoon/pen/WNWaKyz>" %}

### 2 Ball and 3 Ball Markets:

Below is a list of markets that can be displayed on Par 3 streaming holes.

| Type                      | Name                                   | Description                                                                                                                                                                    |
| ------------------------- | -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| mt.twoball                | 2 balls                                | Round winner (lowest score) of each 2 ball                                                                                                                                     |
| mt.twoball\_tie           | 2 balls                                | Round winner (lowest score) of each 2 ball, with tie selection                                                                                                                 |
| mt.threeball              | 3 balls                                | Round winner (lowest score) of each 3 ball                                                                                                                                     |
| mt.oneball\_hole          | Hole Score                             | Score a player will make on a hole. There will be 3 selections (Birdie or better, Par, Bogey or worse)                                                                         |
| mt.group\_hole\_score     | Group Hole Score                       | Total score the players in the 2/3 ball will make on a hole                                                                                                                    |
| mt.group\_nearest\_pin    | Nearest the Pin                        | Which player’s tee shot will finish closest to the hole in a 2/3 ball                                                                                                          |
| mt.distance\_nearest\_pin | Distance of Nearest the Pin            | Distance from the pin of the “nearest the pin shot”                                                                                                                            |
| mt.group\_hole\_putts     | Number of Putts in the Group on a Hole | Total number of putts taken by the 2/3 ball on a hole                                                                                                                          |
| mt.tee\_shot\_lie         | Tee shot to finish (Par 3)             | What lie will the player have after the tee shot. Selections can include Hole, Green, Fairway/Fringe, Rough, Bunker and Water. Not all selections can be offered on each hole. |

#### Market Type Message:

```
{
   "mode":"push",
   "type":"market",
   "msg":{
      "id":"golf_14673_oneball_hole~7cgolfer_ids~3d965~7chole_num~3d4~7cround_num~3d2",
      "name":"Hole Score (Round 2, Hole 4) - Xinjun Zhang",
      "event_id":"ev.golf_14673",
      "tags":[
         "sp.golf",
         "comp.golf_pga",
         "ev.golf_14673",
         "mt.oneball_hole"
      ],
      "start_time":"None",
      "stage":"ended",
      "numwinners":1,
      "meta":{
         "round_num":2,
         "group_id":46,
         "hole_num":4,
         "golfer_id":5956,
         "event_id":"240"
      }
   },
   "received_at":"2020-10-13 10:07:19.480988"
}
```

### Link markets by hole via meta data:

The meta data describes the relationship to the source data for Golf and IMG's DDE feed. The attributes which can be used to filter 2/3 ball markets for Par 3 streaming holes:<br>

|           | Description                                                    |
| --------- | -------------------------------------------------------------- |
| hole\_num | This field is used if the Market is clearly related to a Hole. |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/golf-integration/golf-ec-deep-linking/par-3-streaming-with-3-and-2-ball-markets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
